opensesh docs

Create an event

POST
/events

Authorization

bearerAuth
AuthorizationBearer <token>

An organization API key (osk_…)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/events" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "type": "conference",    "timezone": "string",    "startsAt": "string",    "endsAt": "string"  }'
{  "id": "string",  "createdAt": "string",  "updatedAt": "string",  "organizationId": "string",  "name": "string",  "slug": "string",  "tagline": "string",  "description": "string",  "type": "conference",  "websiteUrl": "string",  "location": "string",  "timezone": "string",  "startsAt": "string",  "endsAt": "string",  "theme": "string",  "logoUrl": "string",  "logoKey": "string",  "backgroundUrl": "string",  "defaultSubmissionLimit": 0,  "speakerConfirmationEnabled": true,  "agendaPublishedAt": "string",  "publishedAgenda": [    {      "id": "string",      "code": "string",      "title": "string",      "description": "string",      "startsAt": "string",      "endsAt": "string",      "roomName": "string",      "tracks": [        {          "id": "string",          "name": "string",          "color": "string"        }      ],      "speakers": [        {          "id": "string",          "name": "string"        }      ]    }  ],  "agendaDirty": true}